Thanks everybody for the quick response.
As far as I understand I should do a buildout installation instead of my simple path_to_python2.7 setup.py install?


When I try buildout, it fails already with zope.testing :

bin/buildout
Develop: '/opt/Zope2-2.13.15/.'
warning: no previously-included files matching '*.dll' found anywhere in distribution warning: no previously-included files matching '*.pyc' found anywhere in distribution warning: no previously-included files matching '*.pyo' found anywhere in distribution warning: no previously-included files matching '*.so' found anywhere in distribution
While:
 Installing.
 Getting section test.
 Initializing section test.
 Installing recipe zc.recipe.testrunner.
Error: There is a version conflict.
We already have: zope.testing 4.1.1
but zc.recipe.testrunner 1.2.1 requires 'zope.testing>=3.6.0,<3.10.0'.

Is there zope.testing >=3.6.0,<3.10.0 to be installed and then step by step the next errors to be eliminated or would it be possible to take a shortcut and install some older version of python or the site-packages?

Is there a way to avoid buildout at all - for example switching to an older python2.6 and then try a simple installation with 2.13.15 again?

Mario


----- Original Message ----- From: "Tres Seaver" <tsea...@palladion.com>
To: <zope@zope.org>
Sent: Monday, September 10, 2012 11:38 PM
Subject: Re: [Zope] Iimport IPossibleSite not possible


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 09/10/2012 04:51 PM, Mario Premke wrote:
Hello,

many times now I tried to start zope, but I always get the following
error:

mapr@AtomN270 /opt/TESTInstance/bin $ ./runzope Traceback (most recent
call last): File "/opt/bin/runzope", line 8, in <module>
load_entry_point('Zope2==2.13.15', 'console_scripts', 'runzope')()
File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/Zope2/Startup/run.py",
 line 22, in run starter.prepare() File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/Zope2/Startup/__init__.py",
 line 86, in prepare self.startZope() File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/Zope2/Startup/__init__.py",
 line 259, in startZope Zope2.startup() File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/Zope2/__init__.py",
 line 46, in startup from Zope2.App.startup import startup as
_startup File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/Zope2/App/startup.py",
 line 38, in <module> import OFS.Application File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/OFS/Application.py",
 line 22, in <module> import App.Product File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/App/Product.py",
 line 44, in <module> from OFS.Folder import Folder File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/OFS/Folder.py",
 line 24, in <module> from webdav.Collection import Collection File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/webdav/Collection.py",
 line 30, in <module> from webdav.Resource import Resource File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/webdav/Resource.py",
 line 35, in <module> from OFS.event import ObjectClonedEvent File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/OFS/event.py",
 line 20, in <module> import OFS.interfaces File
"/opt/lib/python2.7/site-packages/Zope2-2.13.15-py2.7.egg/OFS/interfaces.py",
 line 19, in <module> from zope.location.interface import
IPossibleSite ImportError: No module named interface

log/event.log shows: ------ 2012-09-10T21:59:59 INFO ZServer HTTP
server started at Mon Sep 10 21:59:59 2012 Hostname: 0.0.0.0 Port:
8080

and var/zope.conf:

%define INSTANCE /opt/TESTInstance

instancehome $INSTANCE

effective-user mapr

<eventlog> level info <logfile> path $INSTANCE/log/event.log level
info </logfile> </eventlog>

<logger access> level WARN <logfile> path $INSTANCE/log/Z2.log format
%(message)s </logfile> </logger>

<http-server> address 8080 </http-server>

<zodb_db main> <filestorage> path $INSTANCE/var/Data.fs
</filestorage> mount-point / </zodb_db>

<zodb_db temporary> <temporarystorage> name temporary storage for
sessioning </temporarystorage> mount-point /temp_folder
container-class Products.TemporaryFolder.TemporaryContainer
</zodb_db>

Z2.log is empty ...

Any ideas? Thanks in advance,


You have picked up too-new versions of some packages.  Your buildout
needs to pin to the version of Zope you are running, e.g.:

[buildout]
extends = http://download.zope.org/Zope2/index/2.13.16/versions.cfg


Tres.
- -- ===================================================================
Tres Seaver          +1 540-429-0999          tsea...@palladion.com
Palladion Software   "Excellence by Design"    http://palladion.com
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://www.enigmail.net/

iEYEARECAAYFAlBOXdkACgkQ+gerLs4ltQ6f+QCePhXnfbT2XuEgUuFV+ppzbB6U
S54AnivnwXd8CVOesTlOq5QADRbhKjHd
=WjcR
-----END PGP SIGNATURE-----

_______________________________________________
Zope maillist  -  Zope@zope.org
https://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists -
https://mail.zope.org/mailman/listinfo/zope-announce
https://mail.zope.org/mailman/listinfo/zope-dev )

_______________________________________________
Zope maillist  -  Zope@zope.org
https://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists -
https://mail.zope.org/mailman/listinfo/zope-announce
https://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to